//
//  Values are 32 bit values layed out as follows:
//
//   3 3 2 2 2 2 2 2 2 2 2 2 1 1 1 1 1 1 1 1 1 1
//   1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0
//  +---+-+-+-----------------------+-------------------------------+
//  |Sev|C|R|     Facility          |               Code            |
//  +---+-+-+-----------------------+-------------------------------+
//
//  where
//
//      Sev - is the severity code
//
//          00 - Success
//          01 - Informational
//          10 - Warning
//          11 - Error
//
//      C - is the Customer code flag
//
//      R - is a reserved bit
//
//      Facility - is the facility code
//
//      Code - is the facility's status code
//
//
// Define the facility codes
//
#define FACILITY_RPC_STUBS               0x3
#define FACILITY_RPC_RUNTIME             0x2
#define FACILITY_K_ERROR_CODE            0x7
#define FACILITY_IO_ERROR_CODE           0x4


//
// Define the severity codes
//
#define STATUS_SEVERITY_WARNING          0x2
#define STATUS_SEVERITY_SUCCESS          0x0
#define STATUS_SEVERITY_INFORMATIONAL    0x1
#define STATUS_SEVERITY_ERROR            0x3


//
// MessageId: K_MSG_DRIVER_STARTING
//
// MessageText:
//
//  K wurde erfolgreich initialisiert.
//
#define K_MSG_DRIVER_STARTING            ((NTSTATUS)0x40070001L)

//
// MessageId: K_MSG_SIM_CTRL_ALT_ENTF
//
// MessageText:
//
//  Simuliere Ctrl+Alt+Entf !
//
#define K_MSG_SIM_CTRL_ALT_ENTF          ((NTSTATUS)0x40070002L)

//
// MessageId: K_MSG_DEVOBJ_ADR
//
// MessageText:
//
//  Adresse des tieferliegenden Device Objekts %1
//
#define K_MSG_DEVOBJ_ADR                 ((NTSTATUS)0x40070003L)

